Name:           perl-HTTP-Server-Simple-CGI-PreFork
Version:        6
Release:        1%{?dist}
Summary:        Turn HSS into a preforking webserver and enable SSL
License:        CHECK(Distributable)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Server-Simple-CGI-PreFork/
Source0:        http://www.cpan.org/authors/id/C/CA/CAVAC/HTTP-Server-Simple-CGI-PreFork-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Server::Simple) >= 0.44
BuildRequires:  perl(IO::Socket::INET6)
BuildRequires:  perl(Net::Server) >= 2
BuildRequires:  perl(Net::Server::PreFork)
BuildRequires:  perl(Net::Server::Proto::SSLEAY)
BuildRequires:  perl(Net::Server::Single)
BuildRequires:  perl(Net::SSLeay)
BuildRequires:  perl(Socket6)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(English)
BuildRequires:  perl-macros
BuildRequires:  perl-generators
BuildRequires:  make
Requires:       perl(HTTP::Server::Simple) >= 0.44
Requires:       perl(IO::Socket::INET6)
Requires:       perl(Net::Server) >= 2
Requires:       perl(Net::Server::PreFork)
Requires:       perl(Net::Server::Proto::SSLEAY)
Requires:       perl(Net::Server::Single)
Requires:       perl(Net::SSLeay)
Requires:       perl(Socket6)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is a plugin module for the "Commands" module and handles
PostgreSQL admin commands scheduled from the WebGUI.

%prep
%setup -q -n HTTP-Server-Simple-CGI-PreFork-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2023 Luigi Iotti 6-1
- Specfile autogenerated by cpanspec 1.78.
